<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:body>   
        <div class="container">
            <h2>#{msgs.topClients}</h2>
            <h:form id="clientForm" class="form-inline">
                <p:message for="toDate"/>
                <div class="form-group mb-2">
                    <h:outputLabel for="fromDate" class="sr-only" value="from"/> 
                    <h:inputText class="form-control" id="fromDate" value="#{reportBackingBean.fromDate}" a:type="date">  
                    </h:inputText>
                </div>
                <div class="form-group mx-sm-3 mb-2">
                    <h:outputLabel for="toDate" class="sr-only" value="to"/> 
                    <h:inputText class="form-control" id="toDate" value="#{reportBackingBean.toDate}" a:type="date"
                                 validator="#{reportBackingBean.validateDateRange}">  
                    </h:inputText>
                </div>

                <p:commandButton update=":clientForm:datatable clientForm" value="#{msgs.search}" styleClass="btn btn-primary" />
                <p:growl id="growl" showDetail="true"/>
                <h:panelGroup id="datatable">
                    <p:dataTable value="#{reportBackingBean.topClients}"
                                 var="topclient"
                                 paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records">
                        <p:column>
                            <f:facet name="header">#{msgs.userid}</f:facet>
                                #{topclient.userId}
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.username}</f:facet>
                                #{topclient.firstname} #{topclient.lastname}
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.totalSales}</f:facet>
                            #{topclient.totalSales} $
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
        </div>
    </h:body>
</html>

